This is a live mirror of the Perl 5 development currently hosted at https://github.com/perl/perl5
Fix warning.
[perl5.git] / lib / ExtUtils / t / MM_Unix.t
index f9b07f8..1930e35 100644 (file)
@@ -37,7 +37,9 @@ my $os =  ($ExtUtils::MM_Unix::Is_OS2         || 0)
        + ($ExtUtils::MM_Unix::Is_VMS   || 0); 
 ok ( $os <= 1,  'There can be only one (or none)');
 
-cmp_ok ($ExtUtils::MM_Unix::VERSION, '>=', '1.12606', 'Should be at least version 1.12606');
+my $version = $ExtUtils::MM_Unix::VERSION;
+   $version =~ s/_//g;
+cmp_ok ($version, '>=', '1.12606', 'Should be at least version 1.12606');
 
 # when the following calls like canonpath, catdir etc are replaced by
 # File::Spec calls, the test's become a bit pointless